Package org.apache.jorphan.reflect

# Class LogAndIgnoreServiceLoadExceptionHandler

java.lang.Object
org.apache.jorphan.reflect.LogAndIgnoreServiceLoadExceptionHandler

All Implemented Interfaces:
  `ServiceLoadExceptionHandler<Object>`

public class LogAndIgnoreServiceLoadExceptionHandler extends Object implements ServiceLoadExceptionHandler<Object>
Logs all the failures to agiven `Logger` and ignores them.

## Constructor Summary

Constructors
Constructor
Description
`LogAndIgnoreServiceLoadExceptionHandler(org.slf4j.Logger log)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Class<?> service, String className, Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogAndIgnoreServiceLoadExceptionHandler

public LogAndIgnoreServiceLoadExceptionHandler(org.slf4j.Logger log)

## Method Details

### handle

public void handle(Class<?> service, String className, Throwable throwable)

Specified by:
  `handle` in interface `ServiceLoadExceptionHandler<Object>`